﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.Serialization.Formatters.Binary;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace QuickDirty_NTPServer
{
    public class SerializeClassHelper
    {
        public static void SerializeObject( string path, object obj)
        {
            try
            {
                string output = Newtonsoft.Json.JsonConvert.SerializeObject(obj, Newtonsoft.Json.Formatting.Indented);
                File.WriteAllText(path, output, Encoding.UTF8);
            }
            catch(Exception ex) { MessageBox.Show("序列化数据失败："+ex.Message); }
        }

        public static object DeserializeObject(string path)
        {
            try
            {
                string readText = File.ReadAllText(path, Encoding.UTF8);
                return Newtonsoft.Json.JsonConvert.DeserializeObject<ConfigModel>(readText);
            }
            catch (Exception ex) { MessageBox.Show("读取序列化数据失败：" + ex.Message); }
            return null;
        }
    }

    public class ConfigModel
    {
        public bool ISStartUP { get; set; } = true;
        public int UDPPort { get; set; } = 123;
        public int LogCountToClear { get; set; } = 100000;
        public bool ISLogToFile { get; set; } = true;
    }
}
